%def_without test
%define module_name POE-Component-SmokeBox
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/SHA.pm) perl(Env/Sanctify.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IO/Pty.pm) perl(IPC/Open3.pm) perl(Module/Pluggable.pm) perl(Object/Accessor.pm) perl(POE.pm) perl(POE/Wheel/Run/Win32.pm) perl(Params/Check.pm) perl(Pod/Coverage/TrustPod.pm) perl(Proc/ProcessTable.pm) perl(SDBM_File.pm) perl(String/Perl/Warnings.pm) perl(Test/Harness.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.54
Release: alt1
Summary: POE enabled CPAN smoke testing with added value.
Group: Development/Perl
License: perl
URL: https://github.com/bingos/poe-component-smokebox

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
POE::Component::SmokeBox is a flexible CPAN Smoke testing framework which provides an
extensible method for testing CPAN distributions against various different smoker backends.

A smoker backend is defined using a the POE::Component::SmokeBox::Smoker manpage object and is basically
the path to a `perl' executable that is configured for CPAN Testing and its associated environment settings.

The `perl' executable must be configured appropriately to support CPAN testing with any of the currently
supported backends, the CPANPLUS::YACSmoke manpage, the CPAN::YACSmoke manpage or the CPAN::Reporter manpage. Additional backends may be
supported by inheriting and extending the backend base class the POE::Component::SmokeBox::Backend::Base manpage.

By default, the component will test submitted jobs against each configured smoker in turn. Setting `multiplicity'
to true will enable each job to be run against configured smokers in parallel.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/P*

%changelog
* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1
- regenerated from template by package builder

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 0.52-alt1
- regenerated from template by package builder

* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1
- regenerated from template by package builder

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.48-alt1
- initial import by package builder

